Package com.documentum.fc.bpm

# Interface IDfXPathConditionEx

All Superinterfaces:
  `IDfTransitionCondition`, `IDfXPathCondition`

public interface IDfXPathConditionEx extends IDfXPathCondition
This interface adds namespace state to the definition of an XPath condition.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `EQ, GE, GT, LE, LT, NE, WORKFLOW_ALIAS, WORKITEM_ALIAS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultXPathNamespace()`
  The default (ie. no prefix) namespace URI for the XPath expression.
  `String`
  `getXPathNamespace(String prefix)`
  The namespace URI to which the given prefix refers within the XPath expression.
  `IDfProperties`
  `getXPathNamespaces()`
  A map of all the namespace prefixes and URIs defined for the XPath expression.
  `void`
  `removeXPathNamespace(String prefix)`
  Removes a namespace definition.
  `void`
  `setDefaultXPathNamespace(String uri)`
  Defines the default (ie. no prefix) namespace URI for the XPath expression.
  `void`
  `setXPathNamespace(String prefix, String uri)`
  Defines a namespace referenced within the XPath expression.

  ### Methods inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `getObjectAlias, getRelationalOperator, isValid, setObjectAlias, setRelationalOperator, toString`

  ### Methods inherited from interface com.documentum.fc.bpm.IDfXPathCondition

  `getXPathExpression, getXPathValue, getXSchemaDatatype, setXPathExpression, setXPathValue, setXSchemaDatatype`

- ## Method Details

  - ### setXPathNamespace

    void setXPathNamespace(String prefix, String uri) throws DfException
    Defines a namespace referenced within the XPath expression.
    Parameters:
      `prefix` - the prefix used within the expression
      `uri` - the namespace to which the prefix refers
    Throws:
      `DfException` - if a server error occurs

  - ### removeXPathNamespace

    void removeXPathNamespace(String prefix) throws DfException
    Removes a namespace definition.
    Parameters:
      `prefix` - the prefix of the namespace to be removed
    Throws:
      `DfException` - if a server error occurs

  - ### getXPathNamespace

    String getXPathNamespace(String prefix) throws DfException
    The namespace URI to which the given prefix refers within the XPath expression.
    Parameters:
      `prefix` - the prefix used within the expression
    Returns:
      the namespace to which the given prefix refers
    Throws:
      `DfException` - if a server error occurs

  - ### getXPathNamespaces

    IDfProperties getXPathNamespaces() throws DfException
    A map of all the namespace prefixes and URIs defined for the XPath expression.
    Returns:
      a map of all the namespace prefixes and URIs defined for the XPath expression
    Throws:
      `DfException` - if a server error occurs

  - ### setDefaultXPathNamespace

    void setDefaultXPathNamespace(String uri) throws DfException
    Defines the default (ie. no prefix) namespace URI for the XPath expression.
    Parameters:
      `uri` - the default namespace URI for the XPath expression
    Throws:
      `DfException` - if a server error occurs

  - ### getDefaultXPathNamespace

    String getDefaultXPathNamespace() throws DfException
    The default (ie. no prefix) namespace URI for the XPath expression.
    Returns:
      the default namespace URI for the XPath expression.
    Throws:
      `DfException` - if a server error occurs